"""


@Author: Vitor
"""


from model.DataReader import DataReader
from model.MyTokenizer import MyTokenizer
from model.UrlTokenizer import UrlTokenizer


class TrainData:

    def __init__(self):
        self.data_reader = None
        self.tokenizer = None
        self.fraud_emails = []
        self.ham_emails = []
        self.url_tokenizer = UrlTokenizer()

    def read_fraud_emails(self):
        self.data_reader = DataReader('/fraud-email-dataset/fraud_email_.csv')
        self.fraud_emails = self.data_reader.open_fraud_email_csv()['Text'].astype(str).to_numpy()

    def read_ham_emails(self):
        self.data_reader = DataReader('/spam-mails-dataset/spam_ham_dataset.csv')
        self.ham_emails = self.data_reader.get_ham_emails()['text'].to_numpy()

    def tokenizer_fraud_emails(self):
        self.read_fraud_emails()
        self.tokenizer = MyTokenizer(self.fraud_emails)
        return self.tokenizer.get_tokens()

    def tokenizer_ham_emails(self):
        self.read_ham_emails()
        self.tokenizer = MyTokenizer(self.ham_emails)
        return self.tokenizer.get_tokens()
