import unittest
from model.DataReader import DataReader


class DataReaderTest(unittest.TestCase):

    def test_read_txt_file_data(self):
        data = DataReader("fraudulent-email-corpus/fraudulent_emails.txt")

        emails = data.read_txt_file_data()

        self.assertEqual(emails[1].partition('\n')[0], "From r  Thu Oct 31 08:11:39 2002")

    def test_csv_to_dataframe(self):
        data_reader = DataReader("data.csv")

        data = data_reader.csv_to_dataframe(file_dir=data_reader.file_dir)
        is_empty = len(data) == 0

        self.assertEqual(is_empty, False)

    def test_open_fraud_email_csv(self):
        data_reader = DataReader('/fraud-email-dataset/fraud_email_.csv')

        fraud_emails = data_reader.open_fraud_email_csv()
        is_empty = len(fraud_emails) == 0

        self.assertEqual(is_empty, False)

    def test_open_spam_ham_data(self):
        data_reader = DataReader('/spam-mails-dataset/spam_ham_dataset.csv')

        spam_ham_emails = data_reader.open_spam_ham_email_csv()
        is_empty = len(spam_ham_emails) == 0

        self.assertEqual(is_empty, False)

    def test_get_ham_emails(self):
        data_reader = DataReader('/spam-mails-dataset/spam_ham_dataset.csv')

        ham_emails = data_reader.get_ham_emails()
        is_empty = len(ham_emails) == 0

        print(len(ham_emails))

        self.assertEqual(is_empty, False)
