import unittest

from model.UrlTokenizer import UrlTokenizer


class UrlTokenizerTest(unittest.TestCase):

    def test_remove_substring_com_from_url(self):
        url_tokenizer = UrlTokenizer()

        tokens = url_tokenizer.remove_sub_string_com_from_tokens(['wikipedia', 'com'])

        self.assertEqual(tokens, ['wikipedia'])

    def test_get_tokens(self):
        url_tokenizer = UrlTokenizer()

        url_to_tokenizer = "en.wikipedia.org/wiki/Machine_learning_in_video_games"
        expected_url_tokenized = ['Machine_learning_in_video_games',
                                  'games',
                                  'Machine',
                                  'en.wikipedia.org',
                                  'in',
                                  'org',
                                  'wikipedia',
                                  'video',
                                  'learning',
                                  'wiki',
                                  'en']

        self.assertEqual(len(url_tokenizer.get_tokens(url_to_tokenizer)), len(expected_url_tokenized))
