import unittest

from model import WordCleaner


class WordCleanerTest(unittest.TestCase):

    def test_detect_possessi_pronoun(self):
        word_cleaner = WordCleaner.WordCleaner()

        result_true = word_cleaner.detect_possessive_pronoun("Trump’s")
        result_false = word_cleaner.detect_possessive_pronoun("Trump")

        self.assertTrue(result_true)
        self.assertFalse(result_false)

    def test_remove_possessive_pronoun(self):
        word_cleaner = WordCleaner.WordCleaner()

        word_without_possessive_pronoun = word_cleaner.remove_possessive_pronoun("Trump’s")
        expected_word = "Trump"

        self.assertEqual(word_without_possessive_pronoun, expected_word)

    def test_clean_word_1(self):
        word_cleaner = WordCleaner.WordCleaner()

        word_cleaned = word_cleaner.clean_word("Trump’s")
        expected_word = "trump"

        self.assertEqual(word_cleaned, expected_word)

    def test_clean_word_2(self):
        word_cleaner = WordCleaner.WordCleaner()

        word_cleaned = word_cleaner.clean_word("rocks")
        expected_word = "rock"

        self.assertEqual(word_cleaned, expected_word)

    def test_clean_word_3(self):
        word_cleaner = WordCleaner.WordCleaner()

        word_cleaned = word_cleaner.clean_word("corpora")
        expected_word = "corpus"

        self.assertEqual(word_cleaned, expected_word)
